{ config, pkgs, lib, ... }:
{
  config = {
    age.secrets = {
      # Consul -------------------------------
      "consul.d/gossip.json" = {
        file = ../secrets/consul.d/gossip.json.age;
        owner = "consul";
        group = "consul";
        mode = "644";
      };
      "consul.d/consul-agent-ca.pem" = {
        file = ../secrets/consul.d/consul-agent-ca.pem.age;
        owner = "consul";
        group = "consul";
        mode = "644";
      };
      "consul.d/agent-token-reykjavik.json" = {
        file = ../secrets/consul.d/agent-token-reykjavik.json.age;
        owner = "consul";
        group = "consul";
        mode = "644";
      };
    };
  };
}
